import type { Service } from "./service.mjs";
export declare const createExports: (service: Service) => {
    /**
     * Common types and variables between queries (regular and suspense) and mutations
     */
    allCommon: (import("typescript").TypeAliasDeclaration | import("typescript").VariableStatement)[];
    /**
     * Main exports are the hooks that are used in the components
     */
    mainExports: import("typescript").VariableStatement[];
    /**
     * Suspense exports are the hooks that are used in the suspense components
     */
    suspenseExports: import("typescript").VariableStatement[];
    /**
     * Prefetch exports are the hooks that are used in the prefetch components
     */
    allPrefetchExports: import("typescript").VariableStatement[];
};
